<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <a class="navbar-brand" routerLink="/">AuthProject</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      
      <ng-template [ngIf]="authService.isAuthenticated()">
      <li class="nav-item">
        <a 
          class="nav-link" 
          routerLink="/signin"
          routerlinkactive="active-link">
          Sign In
        </a>
      </li>
      <li class="nav-item">
        <a 
          class="nav-link" 
          routerLink="/signup"
          routerlinkactive="active-link">
          Sign Up
        </a>
      </li>
    </ng-template>

    <ng-template [ngIf]="!authService.logout()">
      <li class="nav-item">
        <a
          class="text-danger nav-link" 
          routerLink="/logout"
          routerlinkactive="active-link">
          Log out
        </a>
      </li>    
    </ng-template>

  </ul>
   
  </div>
</nav>